import request from '@/config/axios'
function parseStrEmpty(str) {
  if (!str || str == "undefined" || str == "null") {
    return "";
  }
  return str;
}

// 查询用户列表
export function listUser(query) {
    return request.get({
        url: '/system/user/list',
        
        params: query,
    });
}

// 查询终端用户列表
export function terminalUserList(query) {
    return request.get({
        url: '/system/user/listTerminal',
       
        params: query,
    });
}
// 查询用户详细
export function getUser(userId) {
    return request.get({
        url: '/system/user/' + parseStrEmpty(userId),
       
    });
}
// 查询角色列表
export function getRole(deptId) {
    return request.get({
        url: '/system/dept/getRole?deptId=' + deptId,
       
    });
}

// 新增用户
export function addUser(data) {
    return request.post({
        url: '/system/user',
       
        data: data,
    });
}

// 修改用户
export function updateUser(data) {
    return request.put({
        url: '/system/user',
       
        data: data,
    });
}

// 删除用户
export function delUser(userId) {
    return request.delete({
        url: '/system/user/' + userId,
      
    });
}

// 用户密码重置
export function resetUserPwd(userId, password) {
    const data = {
        userId,
        password,
    };
    return request.put({
        url: '/system/user/resetPwd',
        
        data: data,
    });
}

// 用户状态修改
export function changeUserStatus(userId, status) {
    const data = {
        userId,
        status,
    };
    return request.put({
        url: '/system/user/changeStatus',
       
        data: data,
    });
}
// 获取微信二维码
export function getLoginParam() {
    return request.get({
        url: '/wechat/getWxBindQr',
       
    });
}
// 解除绑定
export function secureBind(data) {
    return request.post({
        url: '/wechat/cancelBind',
       
        data: data,
    });
}
// 查询用户个人信息
export function getUserProfile() {
    return request.get({
        url: '/system/user/profile',
       
    });
}

// 修改用户个人信息
export function updateUserProfile(data) {
    return request.put({
        url: '/system/user/profile',
       
        data: data,
    });
}

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
    const data = {
        oldPassword,
        newPassword,
    };
    return request.put({
        url: '/system/user/profile/updatePwd',
        
        params: data,
    });
}

// 用户头像上传
export function uploadAvatar(data) {
    return request.post({
        url: '/system/user/profile/avatar',
       
        data: data,
    });
}

// 查询授权角色
export function getAuthRole(userId) {
    return request.get({
        url: '/system/user/authRole/' + userId,
        
    });
}

// 保存授权角色
export function updateAuthRole(data) {
    return request.put({
        url: '/system/user/authRole',
      
        params: data,
    });
}

// 查询机构下拉树结构
export function deptsTreeSelect() {
    return request.get({
        url: '/system/user/deptTree',
       
    });
}

// 查询子机构下拉树结构
export function deptsTreeSelectSub(showOwner) {
    return request.get({
        url: '/system/user/deptTree?showOwner=' + showOwner,
       
    });
}

// 查询终端用户列表
export function getByDeptId(query) {
  return request.get({
    url: '/system/user/getByDeptId',
   
    params: query,
  });
}
